[Résolu] Conflit entre packages

Tout ce qui concerne l'utilisation ou l'installation de LaTeX.

Modérateur: gdm_tex

Règles du forum
Merci d'éviter le style SMS dans vos messages et de penser à utiliser la fonction Recherche avant de poster un message. Pour joindre des fichiers à vos messages, consulter ce sujet.
> Penser à utiliser les balises Code pour poster du code.

[Résolu] Conflit entre packages

Messagepar fred_maths » Mercredi 17 Juillet 2019, 12:31

Bonjour,

j'ai ce conflit

Code: Tout sélectionner
"Package mathdesign/mdbch Warning: Package 'amssymb' shouldn't be used in conjonction with package mdbch, on input line 5"


ou puis je trouvé l'appel a ces package ? car il pointe la ligne 5 et j'ai juste un \begin{document}
voilà mon préambule :

Code: Tout sélectionner
\documentclass[TS,utf8,nocrop]{sesamanuel}

\usepackage{sesamanuelTIKZ}
\usepackage{hyperref}
\usepackage{GrilleSeyes}
\usepackage{tcolorbox}
\usepackage{minted}


merci de votre aide
Dernière édition par fred_maths le Jeudi 18 Juillet 2019, 12:04, édité 1 fois.
PC 1 :Ubuntu 14.04 LTSw 8 + Texlive 2017+emacs 24 avec auctex 11.90 + texstudio v 2.9.4
ou
PC 2 : Windows 8 + Texlve 2016 + texstudio v 2.9.4
fred_maths
Déca-utilisateur
 
Messages: 48
Inscription: Vendredi 02 Janvier 2015, 21:57
Statut actuel: Actif et salarié | Enseignant

Publicité

Re: conflit entre package

Messagepar balf » Mercredi 17 Juillet 2019, 15:02

La classe sesamanuel charge l'extension amssymb. Pour mathdesign/mbbch, je ne vois pas. À moins que l'extension GrilleSeyes le fasse (je ne l'ai pas, ni ne sais d'où elle vient, mais vu son objet, je ne vois pas pourquoi elle chargerait mdbch…)

B. A.
balf
Zetta-utilisateur
 
Messages: 3850
Inscription: Mercredi 02 Janvier 2008, 23:18
Statut actuel: Actif et salarié | Maître de conférence

Re: conflit entre package

Messagepar fred_maths » Mercredi 17 Juillet 2019, 18:06

balf a écrit:La classe sesamanuel charge l'extension amssymb. Pour mathdesign/mbbch, je ne vois pas. À moins que l'extension GrilleSeyes le fasse (je ne l'ai pas, ni ne sais d'où elle vient, mais vu son objet, je ne vois pas pourquoi elle chargerait mdbch…)

B. A.


Le package GrilleSeyes est perso et ne charge pas mdbch ...
je pense que cela provient de minted ...
car en le supprimant le message d'erreur disparaît ...
je continue de chercher ...
PC 1 :Ubuntu 14.04 LTSw 8 + Texlive 2017+emacs 24 avec auctex 11.90 + texstudio v 2.9.4
ou
PC 2 : Windows 8 + Texlve 2016 + texstudio v 2.9.4
fred_maths
Déca-utilisateur
 
Messages: 48
Inscription: Vendredi 02 Janvier 2015, 21:57
Statut actuel: Actif et salarié | Enseignant

Re: Conflit entre packages

Messagepar balf » Mercredi 17 Juillet 2019, 19:41

minted, vu son objet, n'a aucune raison de s'occuper des polices, et, vérification faite, il ne charge en effet rien concernant les polices. Est-ce que vous avez fourni le préambule complet ?

B. A.
balf
Zetta-utilisateur
 
Messages: 3850
Inscription: Mercredi 02 Janvier 2008, 23:18
Statut actuel: Actif et salarié | Maître de conférence

Re: Conflit entre packages

Messagepar fred_maths » Mercredi 17 Juillet 2019, 19:55

balf a écrit:minted, vu son objet, n'a aucune raison de s'occuper des polices, et, vérification faite, il ne charge en effet rien concernant les polices. Est-ce que vous avez fourni le préambule complet ?

B. A.

ah oui bien vu j'avais aussi
Code: Tout sélectionner
\usepackage[uppercase=upright,greeklowercase=upright,charter]{mathdesign}

cela vient ptet de là je cherche ...
PC 1 :Ubuntu 14.04 LTSw 8 + Texlive 2017+emacs 24 avec auctex 11.90 + texstudio v 2.9.4
ou
PC 2 : Windows 8 + Texlve 2016 + texstudio v 2.9.4
fred_maths
Déca-utilisateur
 
Messages: 48
Inscription: Vendredi 02 Janvier 2015, 21:57
Statut actuel: Actif et salarié | Enseignant

Re: Conflit entre packages

Messagepar balf » Mercredi 17 Juillet 2019, 21:46

Eh bien , voilà ! La classe sesamanuel contient cette ligne (174) :

Code: Tout sélectionner
\RequirePackage{amssymb}

Commentez-la et vérifiez que ça ne produit pas de dégâts collatéraux.

B. A.
balf
Zetta-utilisateur
 
Messages: 3850
Inscription: Mercredi 02 Janvier 2008, 23:18
Statut actuel: Actif et salarié | Maître de conférence

Re: [résolu] Conflit entre packages

Messagepar fred_maths » Jeudi 18 Juillet 2019, 12:05

merci balf c résolu :D
PC 1 :Ubuntu 14.04 LTSw 8 + Texlive 2017+emacs 24 avec auctex 11.90 + texstudio v 2.9.4
ou
PC 2 : Windows 8 + Texlve 2016 + texstudio v 2.9.4
fred_maths
Déca-utilisateur
 
Messages: 48
Inscription: Vendredi 02 Janvier 2015, 21:57
Statut actuel: Actif et salarié | Enseignant


Retourner vers LaTeX

 


  • Articles en relation
    Réponses
    Vus
    Dernier message

Qui est en ligne

Utilisateurs parcourant ce forum: DotBot [Crawler], Google Adsense [Bot], Grapeshot [Crawler], MSN [Bot], pg et 19 invités